/*
Theme Name: Divi Child
Description: Thème enfant de Divi
Author: REYNAUD Nicolas
Template: Divi
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Positionner le footer en bas sur les pages courtes */
#et-boc {
    min-height: 100vh;
}
#et-boc, #et-main-area {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
#et-main-area, #et-main-area > div {
    flex: 1;
}

/*Header MENU */
header .et_pb_menu__menu, header nav {
    width: 100%;
}

header ul#menu-menuprincipal {
    width: 100%;
    display: flex;
    justify-content: center;
}

header ul#menu-menuprincipal li > a {
    padding: 15px 20px;
    font-size: 19px;
    text-transform: capitalize;
    color: white;
}

@media (max-width: 981px) {
    header .et_mobile_nav_menu .mobile_nav ul.et_mobile_menu {
        background-color: black !important;
        border: 0 !important;
    }

    header .et_mobile_nav_menu .mobile_nav ul.et_mobile_menu a {
        color: white;
    }

    header .et_mobile_nav_menu .mobile_nav ul.et_mobile_menu li.current-menu-item a {
        color: deepskyblue !important;
    }
}

/* Style des boutons */

.et_pb_button, .et_pb_button:hover {
    background-color: black !important;
    color: white !important;
    border-radius: 50px !important;
    border: none !important;
    font-size: 0.9rem !important;
    padding: 15px 30px !important;
    margin: 10px auto;
}

.et_pb_button:hover {
    background-color: rgba(0, 0, 0, 0.8) !important;
}

.et_pb_button::after {
    display: none !important;
}

/*Style galerie photo */

.et_pb_gallery_grid .et_pb_gallery_items {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.et_pb_gallery_grid .et_pb_gallery_items::after {
    display: none !important; /*Fix décallage dernière ligne lors d'un flex */
} 

.et_pb_gallery_grid .et_pb_gallery_item {
    flex-grow : 1; /* Pas d'espace à gauche et à droite du conteneur */
    margin: 0 !important;
}

@media (min-width: 981px) {
    .et_pb_gallery_grid .et_pb_gallery_item {
        width: 25% !important; /* Pour 3 par ligne au lieu de 4 par ligne par défaut... */
        max-width: 400px;
    }
}

.et_pb_gallery_grid .et_pb_gallery_item .et_pb_gallery_image {
    display: flex;
    justify-content: center;
    align-items: center;
}

.et_pb_gallery_grid .et_pb_gallery_item img {
    height: auto;
    object-fit: cover; /* Pour éviter le flou ! */
}

/* Style des colonnes */
.et_pb_row {
    display: flex;
    flex-wrap: wrap;
}

.reverseflex {
    flex-wrap: wrap-reverse;
}

.et_pb_column_1_2, .et_pb_column_3_5 {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media (max-width: 981px) {
    .et_pb_column_1_2, .et_pb_column_3_5 {
        align-items: center;
    }
    .et_pb_column_1_2 > *, .et_pb_column_3_5 > * {
        margin: auto !important;
    }
}


/* Personnalisation de ICS CALENDAR pour ressembler a un calendrier de disponnibilité */

.ics-calendar td.has_events {
    background-color: red;
    color: red;
}

.ics-calendar td.empty {
    background-color: green;
    color: green;
}

.ics-calendar td ul {
    display:none;
}

@media screen and (max-width: 782px) {
    .ics-calendar.nomobile:not(.r34ics_compact_mobile):not(.r34ics_compact) .ics-calendar-month-wrapper .ics-calendar-month-grid {
        min-width : 150px !important;
    }
}